Installer - Bug #28705

Katello scenario does not expose dynflow foreman proxy plugin options
01/09/2020 12:18 PM - Adam Ruzicka

Status: Rejected
Priority: Normal

Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

# foreman—-installer —--scenario foreman —--full-help | grep foreman-proxy-plugin-dynflow && echo "==
=== and that's all folks ====="

——[no-]enable-foreman-proxy-plugin-dynflow Enable 'foreman_proxy_plugin_dynflow' puppet module

(default: false)

——foreman-proxy-plugin-dynflow-console—-auth Whether to enable trusted hosts and ssl for the d
ynflow console (current: true)

—--reset-foreman-proxy-plugin-dynflow-console—auth Reset console_auth to the default value (tru
=)

——foreman-proxy-plugin-dynflow-database-path Path to the SQLite database file, set empty for
in-memory sglite (current: UNDEF)

—-reset-foreman-proxy-plugin-dynflow-database-path Reset database_path to the default value (U
NDEF)

——foreman-proxy-plugin-dynflow-core-listen Address to listen on for the dynflow core service
(current: "0.0.0.0")

—-reset-foreman-proxy-plugin-dynflow-core-listen Reset core_listen to the default value ("0.0.
0.0m)

——foreman-proxy-plugin-dynflow-core-port Port to use for the local dynflow core service (curr
ent: 8008)

—-reset-foreman-proxy-plugin-dynflow-core-port Reset core_port to the default value (8008)

——foreman-proxy-plugin-dynflow—enabled Enables/disables the dynflow plugin (current: true)

——reset-foreman-proxy-plugin-dynflow-enabled Reset enabled to the default value (true)

——foreman-proxy-plugin-dynflow—external-core Forces usage of external/internal Dynflow core (
current: true)

——reset—foreman-proxy-plugin-dynflow-external-core Reset external_core to the default value (t

rue)
——foreman-proxy-plugin-dynflow-listen-on Proxy feature listens on https, http, or both (curre
nt: "https")
—-reset-foreman-proxy-plugin-dynflow-listen-on Reset listen_on to the default value ("https")
——foreman-proxy-plugin-dynflow-open-file-1limit Limit number of open files - Only Red Hat Oper

ating Systems with Software Collections. (current: 1000000)

——-reset-foreman-proxy-plugin-dynflow-open-file-1limit Reset open_file_limit to the default valu
e (1000000)

——foreman-proxy-plugin-dynflow-ssl-disabled-ciphers Disable SSL ciphers. For example: ['NULL-
MD5', 'NULL-SHA'] (current: UNDEF)

—-reset-foreman-proxy-plugin-dynflow-ssl-disabled-ciphers Reset ssl_disabled_ciphers to the de
fault value (UNDEF)

——foreman-proxy-plugin-dynflow-tls-disabled-versions Disable TLS versions. Version 1.0 is alw
ays disabled. For example: ['1l.1'] (current: UNDEF)

—-reset-foreman-proxy-plugin-dynflow-tls-disabled-versions Reset tls_disabled_versions to the
default value (UNDEF)
===== and that's all folks =====

VS

# foreman-installer --scenario katello —--full-help | grep foreman-proxy-plugin-dynflow && echo "==
=== and that's all folks ====="
===== and that's all folks =====

Related issues:
Related to Foreman - Tracker #28683: IPv6 only support New

History

#1 - 01/09/2020 12:21 PM - Adam Ruzicka
- Related to Tracker #28683: IPv6 only support added

#2 - 11/02/2022 01:33 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

We have dropped dynflow core and merged it into foreman-proxy.service. The listen options for foreman-proxy are exposed which means this is no
longer an issue.
